// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: teacher.proto

package pl.piomin.services.grpc.account.model;

public final class TeacherPorto {
  private TeacherPorto() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  public interface TeachersOrBuilder extends
      // @@protoc_insertion_point(interface_extends:model.Teachers)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>repeated .model.Teacher teacher = 1;</code>
     */
    java.util.List<pl.piomin.services.grpc.account.model.TeacherPorto.Teacher> 
        getTeacherList();
    /**
     * <code>repeated .model.Teacher teacher = 1;</code>
     */
    pl.piomin.services.grpc.account.model.TeacherPorto.Teacher getTeacher(int index);
    /**
     * <code>repeated .model.Teacher teacher = 1;</code>
     */
    int getTeacherCount();
    /**
     * <code>repeated .model.Teacher teacher = 1;</code>
     */
    java.util.List<? extends pl.piomin.services.grpc.account.model.TeacherPorto.TeacherOrBuilder> 
        getTeacherOrBuilderList();
    /**
     * <code>repeated .model.Teacher teacher = 1;</code>
     */
    pl.piomin.services.grpc.account.model.TeacherPorto.TeacherOrBuilder getTeacherOrBuilder(
        int index);
  }
  /**
   * Protobuf type {@code model.Teachers}
   */
  public  static final class Teachers extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:model.Teachers)
      TeachersOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use Teachers.newBuilder() to construct.
    private Teachers(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private Teachers() {
      teacher_ = java.util.Collections.emptyList();
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new Teachers();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private Teachers(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      int mutable_bitField0_ = 0;
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              if (!((mutable_bitField0_ & 0x00000001) != 0)) {
                teacher_ = new java.util.ArrayList<pl.piomin.services.grpc.account.model.TeacherPorto.Teacher>();
                mutable_bitField0_ |= 0x00000001;
              }
              teacher_.add(
                  input.readMessage(pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.parser(), extensionRegistry));
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        if (((mutable_bitField0_ & 0x00000001) != 0)) {
          teacher_ = java.util.Collections.unmodifiableList(teacher_);
        }
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_Teachers_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_Teachers_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              pl.piomin.services.grpc.account.model.TeacherPorto.Teachers.class, pl.piomin.services.grpc.account.model.TeacherPorto.Teachers.Builder.class);
    }

    public static final int TEACHER_FIELD_NUMBER = 1;
    private java.util.List<pl.piomin.services.grpc.account.model.TeacherPorto.Teacher> teacher_;
    /**
     * <code>repeated .model.Teacher teacher = 1;</code>
     */
    public java.util.List<pl.piomin.services.grpc.account.model.TeacherPorto.Teacher> getTeacherList() {
      return teacher_;
    }
    /**
     * <code>repeated .model.Teacher teacher = 1;</code>
     */
    public java.util.List<? extends pl.piomin.services.grpc.account.model.TeacherPorto.TeacherOrBuilder> 
        getTeacherOrBuilderList() {
      return teacher_;
    }
    /**
     * <code>repeated .model.Teacher teacher = 1;</code>
     */
    public int getTeacherCount() {
      return teacher_.size();
    }
    /**
     * <code>repeated .model.Teacher teacher = 1;</code>
     */
    public pl.piomin.services.grpc.account.model.TeacherPorto.Teacher getTeacher(int index) {
      return teacher_.get(index);
    }
    /**
     * <code>repeated .model.Teacher teacher = 1;</code>
     */
    public pl.piomin.services.grpc.account.model.TeacherPorto.TeacherOrBuilder getTeacherOrBuilder(
        int index) {
      return teacher_.get(index);
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      for (int i = 0; i < teacher_.size(); i++) {
        output.writeMessage(1, teacher_.get(i));
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      for (int i = 0; i < teacher_.size(); i++) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(1, teacher_.get(i));
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof pl.piomin.services.grpc.account.model.TeacherPorto.Teachers)) {
        return super.equals(obj);
      }
      pl.piomin.services.grpc.account.model.TeacherPorto.Teachers other = (pl.piomin.services.grpc.account.model.TeacherPorto.Teachers) obj;

      if (!getTeacherList()
          .equals(other.getTeacherList())) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      if (getTeacherCount() > 0) {
        hash = (37 * hash) + TEACHER_FIELD_NUMBER;
        hash = (53 * hash) + getTeacherList().hashCode();
      }
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(pl.piomin.services.grpc.account.model.TeacherPorto.Teachers prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code model.Teachers}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:model.Teachers)
        pl.piomin.services.grpc.account.model.TeacherPorto.TeachersOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_Teachers_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_Teachers_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                pl.piomin.services.grpc.account.model.TeacherPorto.Teachers.class, pl.piomin.services.grpc.account.model.TeacherPorto.Teachers.Builder.class);
      }

      // Construct using pl.piomin.services.grpc.account.model.TeacherPorto.Teachers.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
          getTeacherFieldBuilder();
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        if (teacherBuilder_ == null) {
          teacher_ = java.util.Collections.emptyList();
          bitField0_ = (bitField0_ & ~0x00000001);
        } else {
          teacherBuilder_.clear();
        }
        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_Teachers_descriptor;
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.TeacherPorto.Teachers getDefaultInstanceForType() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.Teachers.getDefaultInstance();
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.TeacherPorto.Teachers build() {
        pl.piomin.services.grpc.account.model.TeacherPorto.Teachers result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.TeacherPorto.Teachers buildPartial() {
        pl.piomin.services.grpc.account.model.TeacherPorto.Teachers result = new pl.piomin.services.grpc.account.model.TeacherPorto.Teachers(this);
        int from_bitField0_ = bitField0_;
        if (teacherBuilder_ == null) {
          if (((bitField0_ & 0x00000001) != 0)) {
            teacher_ = java.util.Collections.unmodifiableList(teacher_);
            bitField0_ = (bitField0_ & ~0x00000001);
          }
          result.teacher_ = teacher_;
        } else {
          result.teacher_ = teacherBuilder_.build();
        }
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof pl.piomin.services.grpc.account.model.TeacherPorto.Teachers) {
          return mergeFrom((pl.piomin.services.grpc.account.model.TeacherPorto.Teachers)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(pl.piomin.services.grpc.account.model.TeacherPorto.Teachers other) {
        if (other == pl.piomin.services.grpc.account.model.TeacherPorto.Teachers.getDefaultInstance()) return this;
        if (teacherBuilder_ == null) {
          if (!other.teacher_.isEmpty()) {
            if (teacher_.isEmpty()) {
              teacher_ = other.teacher_;
              bitField0_ = (bitField0_ & ~0x00000001);
            } else {
              ensureTeacherIsMutable();
              teacher_.addAll(other.teacher_);
            }
            onChanged();
          }
        } else {
          if (!other.teacher_.isEmpty()) {
            if (teacherBuilder_.isEmpty()) {
              teacherBuilder_.dispose();
              teacherBuilder_ = null;
              teacher_ = other.teacher_;
              bitField0_ = (bitField0_ & ~0x00000001);
              teacherBuilder_ = 
                com.google.protobuf.GeneratedMessageV3.alwaysUseFieldBuilders ?
                   getTeacherFieldBuilder() : null;
            } else {
              teacherBuilder_.addAllMessages(other.teacher_);
            }
          }
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        pl.piomin.services.grpc.account.model.TeacherPorto.Teachers parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (pl.piomin.services.grpc.account.model.TeacherPorto.Teachers) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }
      private int bitField0_;

      private java.util.List<pl.piomin.services.grpc.account.model.TeacherPorto.Teacher> teacher_ =
        java.util.Collections.emptyList();
      private void ensureTeacherIsMutable() {
        if (!((bitField0_ & 0x00000001) != 0)) {
          teacher_ = new java.util.ArrayList<pl.piomin.services.grpc.account.model.TeacherPorto.Teacher>(teacher_);
          bitField0_ |= 0x00000001;
         }
      }

      private com.google.protobuf.RepeatedFieldBuilderV3<
          pl.piomin.services.grpc.account.model.TeacherPorto.Teacher, pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder, pl.piomin.services.grpc.account.model.TeacherPorto.TeacherOrBuilder> teacherBuilder_;

      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public java.util.List<pl.piomin.services.grpc.account.model.TeacherPorto.Teacher> getTeacherList() {
        if (teacherBuilder_ == null) {
          return java.util.Collections.unmodifiableList(teacher_);
        } else {
          return teacherBuilder_.getMessageList();
        }
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public int getTeacherCount() {
        if (teacherBuilder_ == null) {
          return teacher_.size();
        } else {
          return teacherBuilder_.getCount();
        }
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public pl.piomin.services.grpc.account.model.TeacherPorto.Teacher getTeacher(int index) {
        if (teacherBuilder_ == null) {
          return teacher_.get(index);
        } else {
          return teacherBuilder_.getMessage(index);
        }
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public Builder setTeacher(
          int index, pl.piomin.services.grpc.account.model.TeacherPorto.Teacher value) {
        if (teacherBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureTeacherIsMutable();
          teacher_.set(index, value);
          onChanged();
        } else {
          teacherBuilder_.setMessage(index, value);
        }
        return this;
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public Builder setTeacher(
          int index, pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder builderForValue) {
        if (teacherBuilder_ == null) {
          ensureTeacherIsMutable();
          teacher_.set(index, builderForValue.build());
          onChanged();
        } else {
          teacherBuilder_.setMessage(index, builderForValue.build());
        }
        return this;
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public Builder addTeacher(pl.piomin.services.grpc.account.model.TeacherPorto.Teacher value) {
        if (teacherBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureTeacherIsMutable();
          teacher_.add(value);
          onChanged();
        } else {
          teacherBuilder_.addMessage(value);
        }
        return this;
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public Builder addTeacher(
          int index, pl.piomin.services.grpc.account.model.TeacherPorto.Teacher value) {
        if (teacherBuilder_ == null) {
          if (value == null) {
            throw new NullPointerException();
          }
          ensureTeacherIsMutable();
          teacher_.add(index, value);
          onChanged();
        } else {
          teacherBuilder_.addMessage(index, value);
        }
        return this;
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public Builder addTeacher(
          pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder builderForValue) {
        if (teacherBuilder_ == null) {
          ensureTeacherIsMutable();
          teacher_.add(builderForValue.build());
          onChanged();
        } else {
          teacherBuilder_.addMessage(builderForValue.build());
        }
        return this;
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public Builder addTeacher(
          int index, pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder builderForValue) {
        if (teacherBuilder_ == null) {
          ensureTeacherIsMutable();
          teacher_.add(index, builderForValue.build());
          onChanged();
        } else {
          teacherBuilder_.addMessage(index, builderForValue.build());
        }
        return this;
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public Builder addAllTeacher(
          java.lang.Iterable<? extends pl.piomin.services.grpc.account.model.TeacherPorto.Teacher> values) {
        if (teacherBuilder_ == null) {
          ensureTeacherIsMutable();
          com.google.protobuf.AbstractMessageLite.Builder.addAll(
              values, teacher_);
          onChanged();
        } else {
          teacherBuilder_.addAllMessages(values);
        }
        return this;
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public Builder clearTeacher() {
        if (teacherBuilder_ == null) {
          teacher_ = java.util.Collections.emptyList();
          bitField0_ = (bitField0_ & ~0x00000001);
          onChanged();
        } else {
          teacherBuilder_.clear();
        }
        return this;
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public Builder removeTeacher(int index) {
        if (teacherBuilder_ == null) {
          ensureTeacherIsMutable();
          teacher_.remove(index);
          onChanged();
        } else {
          teacherBuilder_.remove(index);
        }
        return this;
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder getTeacherBuilder(
          int index) {
        return getTeacherFieldBuilder().getBuilder(index);
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public pl.piomin.services.grpc.account.model.TeacherPorto.TeacherOrBuilder getTeacherOrBuilder(
          int index) {
        if (teacherBuilder_ == null) {
          return teacher_.get(index);  } else {
          return teacherBuilder_.getMessageOrBuilder(index);
        }
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public java.util.List<? extends pl.piomin.services.grpc.account.model.TeacherPorto.TeacherOrBuilder> 
           getTeacherOrBuilderList() {
        if (teacherBuilder_ != null) {
          return teacherBuilder_.getMessageOrBuilderList();
        } else {
          return java.util.Collections.unmodifiableList(teacher_);
        }
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder addTeacherBuilder() {
        return getTeacherFieldBuilder().addBuilder(
            pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.getDefaultInstance());
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder addTeacherBuilder(
          int index) {
        return getTeacherFieldBuilder().addBuilder(
            index, pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.getDefaultInstance());
      }
      /**
       * <code>repeated .model.Teacher teacher = 1;</code>
       */
      public java.util.List<pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder> 
           getTeacherBuilderList() {
        return getTeacherFieldBuilder().getBuilderList();
      }
      private com.google.protobuf.RepeatedFieldBuilderV3<
          pl.piomin.services.grpc.account.model.TeacherPorto.Teacher, pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder, pl.piomin.services.grpc.account.model.TeacherPorto.TeacherOrBuilder> 
          getTeacherFieldBuilder() {
        if (teacherBuilder_ == null) {
          teacherBuilder_ = new com.google.protobuf.RepeatedFieldBuilderV3<
              pl.piomin.services.grpc.account.model.TeacherPorto.Teacher, pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder, pl.piomin.services.grpc.account.model.TeacherPorto.TeacherOrBuilder>(
                  teacher_,
                  ((bitField0_ & 0x00000001) != 0),
                  getParentForChildren(),
                  isClean());
          teacher_ = null;
        }
        return teacherBuilder_;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:model.Teachers)
    }

    // @@protoc_insertion_point(class_scope:model.Teachers)
    private static final pl.piomin.services.grpc.account.model.TeacherPorto.Teachers DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new pl.piomin.services.grpc.account.model.TeacherPorto.Teachers();
    }

    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teachers getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<Teachers>
        PARSER = new com.google.protobuf.AbstractParser<Teachers>() {
      @java.lang.Override
      public Teachers parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new Teachers(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<Teachers> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<Teachers> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public pl.piomin.services.grpc.account.model.TeacherPorto.Teachers getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface TeacherOrBuilder extends
      // @@protoc_insertion_point(interface_extends:model.Teacher)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int32 id = 1;</code>
     * @return The id.
     */
    int getId();

    /**
     * <code>string address = 2;</code>
     * @return The address.
     */
    java.lang.String getAddress();
    /**
     * <code>string address = 2;</code>
     * @return The bytes for address.
     */
    com.google.protobuf.ByteString
        getAddressBytes();

    /**
     * <code>int32 student_id = 3;</code>
     * @return The studentId.
     */
    int getStudentId();

    /**
     * <code>string name = 4;</code>
     * @return The name.
     */
    java.lang.String getName();
    /**
     * <code>string name = 4;</code>
     * @return The bytes for name.
     */
    com.google.protobuf.ByteString
        getNameBytes();
  }
  /**
   * Protobuf type {@code model.Teacher}
   */
  public  static final class Teacher extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:model.Teacher)
      TeacherOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use Teacher.newBuilder() to construct.
    private Teacher(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private Teacher() {
      address_ = "";
      name_ = "";
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new Teacher();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private Teacher(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              id_ = input.readInt32();
              break;
            }
            case 18: {
              java.lang.String s = input.readStringRequireUtf8();

              address_ = s;
              break;
            }
            case 24: {

              studentId_ = input.readInt32();
              break;
            }
            case 34: {
              java.lang.String s = input.readStringRequireUtf8();

              name_ = s;
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_Teacher_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_Teacher_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.class, pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder.class);
    }

    public static final int ID_FIELD_NUMBER = 1;
    private int id_;
    /**
     * <code>int32 id = 1;</code>
     * @return The id.
     */
    public int getId() {
      return id_;
    }

    public static final int ADDRESS_FIELD_NUMBER = 2;
    private volatile java.lang.Object address_;
    /**
     * <code>string address = 2;</code>
     * @return The address.
     */
    public java.lang.String getAddress() {
      java.lang.Object ref = address_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        address_ = s;
        return s;
      }
    }
    /**
     * <code>string address = 2;</code>
     * @return The bytes for address.
     */
    public com.google.protobuf.ByteString
        getAddressBytes() {
      java.lang.Object ref = address_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        address_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    public static final int STUDENT_ID_FIELD_NUMBER = 3;
    private int studentId_;
    /**
     * <code>int32 student_id = 3;</code>
     * @return The studentId.
     */
    public int getStudentId() {
      return studentId_;
    }

    public static final int NAME_FIELD_NUMBER = 4;
    private volatile java.lang.Object name_;
    /**
     * <code>string name = 4;</code>
     * @return The name.
     */
    public java.lang.String getName() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        return (java.lang.String) ref;
      } else {
        com.google.protobuf.ByteString bs = 
            (com.google.protobuf.ByteString) ref;
        java.lang.String s = bs.toStringUtf8();
        name_ = s;
        return s;
      }
    }
    /**
     * <code>string name = 4;</code>
     * @return The bytes for name.
     */
    public com.google.protobuf.ByteString
        getNameBytes() {
      java.lang.Object ref = name_;
      if (ref instanceof java.lang.String) {
        com.google.protobuf.ByteString b = 
            com.google.protobuf.ByteString.copyFromUtf8(
                (java.lang.String) ref);
        name_ = b;
        return b;
      } else {
        return (com.google.protobuf.ByteString) ref;
      }
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (id_ != 0) {
        output.writeInt32(1, id_);
      }
      if (!getAddressBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 2, address_);
      }
      if (studentId_ != 0) {
        output.writeInt32(3, studentId_);
      }
      if (!getNameBytes().isEmpty()) {
        com.google.protobuf.GeneratedMessageV3.writeString(output, 4, name_);
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (id_ != 0) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, id_);
      }
      if (!getAddressBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(2, address_);
      }
      if (studentId_ != 0) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, studentId_);
      }
      if (!getNameBytes().isEmpty()) {
        size += com.google.protobuf.GeneratedMessageV3.computeStringSize(4, name_);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof pl.piomin.services.grpc.account.model.TeacherPorto.Teacher)) {
        return super.equals(obj);
      }
      pl.piomin.services.grpc.account.model.TeacherPorto.Teacher other = (pl.piomin.services.grpc.account.model.TeacherPorto.Teacher) obj;

      if (getId()
          != other.getId()) return false;
      if (!getAddress()
          .equals(other.getAddress())) return false;
      if (getStudentId()
          != other.getStudentId()) return false;
      if (!getName()
          .equals(other.getName())) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + ID_FIELD_NUMBER;
      hash = (53 * hash) + getId();
      hash = (37 * hash) + ADDRESS_FIELD_NUMBER;
      hash = (53 * hash) + getAddress().hashCode();
      hash = (37 * hash) + STUDENT_ID_FIELD_NUMBER;
      hash = (53 * hash) + getStudentId();
      hash = (37 * hash) + NAME_FIELD_NUMBER;
      hash = (53 * hash) + getName().hashCode();
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(pl.piomin.services.grpc.account.model.TeacherPorto.Teacher prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code model.Teacher}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:model.Teacher)
        pl.piomin.services.grpc.account.model.TeacherPorto.TeacherOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_Teacher_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_Teacher_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.class, pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.Builder.class);
      }

      // Construct using pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        id_ = 0;

        address_ = "";

        studentId_ = 0;

        name_ = "";

        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_Teacher_descriptor;
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.TeacherPorto.Teacher getDefaultInstanceForType() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.getDefaultInstance();
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.TeacherPorto.Teacher build() {
        pl.piomin.services.grpc.account.model.TeacherPorto.Teacher result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.TeacherPorto.Teacher buildPartial() {
        pl.piomin.services.grpc.account.model.TeacherPorto.Teacher result = new pl.piomin.services.grpc.account.model.TeacherPorto.Teacher(this);
        result.id_ = id_;
        result.address_ = address_;
        result.studentId_ = studentId_;
        result.name_ = name_;
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof pl.piomin.services.grpc.account.model.TeacherPorto.Teacher) {
          return mergeFrom((pl.piomin.services.grpc.account.model.TeacherPorto.Teacher)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(pl.piomin.services.grpc.account.model.TeacherPorto.Teacher other) {
        if (other == pl.piomin.services.grpc.account.model.TeacherPorto.Teacher.getDefaultInstance()) return this;
        if (other.getId() != 0) {
          setId(other.getId());
        }
        if (!other.getAddress().isEmpty()) {
          address_ = other.address_;
          onChanged();
        }
        if (other.getStudentId() != 0) {
          setStudentId(other.getStudentId());
        }
        if (!other.getName().isEmpty()) {
          name_ = other.name_;
          onChanged();
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        pl.piomin.services.grpc.account.model.TeacherPorto.Teacher parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (pl.piomin.services.grpc.account.model.TeacherPorto.Teacher) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private int id_ ;
      /**
       * <code>int32 id = 1;</code>
       * @return The id.
       */
      public int getId() {
        return id_;
      }
      /**
       * <code>int32 id = 1;</code>
       * @param value The id to set.
       * @return This builder for chaining.
       */
      public Builder setId(int value) {
        
        id_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int32 id = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearId() {
        
        id_ = 0;
        onChanged();
        return this;
      }

      private java.lang.Object address_ = "";
      /**
       * <code>string address = 2;</code>
       * @return The address.
       */
      public java.lang.String getAddress() {
        java.lang.Object ref = address_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          address_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string address = 2;</code>
       * @return The bytes for address.
       */
      public com.google.protobuf.ByteString
          getAddressBytes() {
        java.lang.Object ref = address_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          address_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string address = 2;</code>
       * @param value The address to set.
       * @return This builder for chaining.
       */
      public Builder setAddress(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        address_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string address = 2;</code>
       * @return This builder for chaining.
       */
      public Builder clearAddress() {
        
        address_ = getDefaultInstance().getAddress();
        onChanged();
        return this;
      }
      /**
       * <code>string address = 2;</code>
       * @param value The bytes for address to set.
       * @return This builder for chaining.
       */
      public Builder setAddressBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        address_ = value;
        onChanged();
        return this;
      }

      private int studentId_ ;
      /**
       * <code>int32 student_id = 3;</code>
       * @return The studentId.
       */
      public int getStudentId() {
        return studentId_;
      }
      /**
       * <code>int32 student_id = 3;</code>
       * @param value The studentId to set.
       * @return This builder for chaining.
       */
      public Builder setStudentId(int value) {
        
        studentId_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int32 student_id = 3;</code>
       * @return This builder for chaining.
       */
      public Builder clearStudentId() {
        
        studentId_ = 0;
        onChanged();
        return this;
      }

      private java.lang.Object name_ = "";
      /**
       * <code>string name = 4;</code>
       * @return The name.
       */
      public java.lang.String getName() {
        java.lang.Object ref = name_;
        if (!(ref instanceof java.lang.String)) {
          com.google.protobuf.ByteString bs =
              (com.google.protobuf.ByteString) ref;
          java.lang.String s = bs.toStringUtf8();
          name_ = s;
          return s;
        } else {
          return (java.lang.String) ref;
        }
      }
      /**
       * <code>string name = 4;</code>
       * @return The bytes for name.
       */
      public com.google.protobuf.ByteString
          getNameBytes() {
        java.lang.Object ref = name_;
        if (ref instanceof String) {
          com.google.protobuf.ByteString b = 
              com.google.protobuf.ByteString.copyFromUtf8(
                  (java.lang.String) ref);
          name_ = b;
          return b;
        } else {
          return (com.google.protobuf.ByteString) ref;
        }
      }
      /**
       * <code>string name = 4;</code>
       * @param value The name to set.
       * @return This builder for chaining.
       */
      public Builder setName(
          java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  
        name_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>string name = 4;</code>
       * @return This builder for chaining.
       */
      public Builder clearName() {
        
        name_ = getDefaultInstance().getName();
        onChanged();
        return this;
      }
      /**
       * <code>string name = 4;</code>
       * @param value The bytes for name to set.
       * @return This builder for chaining.
       */
      public Builder setNameBytes(
          com.google.protobuf.ByteString value) {
        if (value == null) {
    throw new NullPointerException();
  }
  checkByteStringIsUtf8(value);
        
        name_ = value;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:model.Teacher)
    }

    // @@protoc_insertion_point(class_scope:model.Teacher)
    private static final pl.piomin.services.grpc.account.model.TeacherPorto.Teacher DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new pl.piomin.services.grpc.account.model.TeacherPorto.Teacher();
    }

    public static pl.piomin.services.grpc.account.model.TeacherPorto.Teacher getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<Teacher>
        PARSER = new com.google.protobuf.AbstractParser<Teacher>() {
      @java.lang.Override
      public Teacher parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new Teacher(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<Teacher> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<Teacher> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public pl.piomin.services.grpc.account.model.TeacherPorto.Teacher getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  public interface GetTeacherRequestOrBuilder extends
      // @@protoc_insertion_point(interface_extends:model.GetTeacherRequest)
      com.google.protobuf.MessageOrBuilder {

    /**
     * <code>int32 student_id = 1;</code>
     * @return The studentId.
     */
    int getStudentId();
  }
  /**
   * Protobuf type {@code model.GetTeacherRequest}
   */
  public  static final class GetTeacherRequest extends
      com.google.protobuf.GeneratedMessageV3 implements
      // @@protoc_insertion_point(message_implements:model.GetTeacherRequest)
      GetTeacherRequestOrBuilder {
  private static final long serialVersionUID = 0L;
    // Use GetTeacherRequest.newBuilder() to construct.
    private GetTeacherRequest(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
      super(builder);
    }
    private GetTeacherRequest() {
    }

    @java.lang.Override
    @SuppressWarnings({"unused"})
    protected java.lang.Object newInstance(
        UnusedPrivateParameter unused) {
      return new GetTeacherRequest();
    }

    @java.lang.Override
    public final com.google.protobuf.UnknownFieldSet
    getUnknownFields() {
      return this.unknownFields;
    }
    private GetTeacherRequest(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      this();
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder();
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {

              studentId_ = input.readInt32();
              break;
            }
            default: {
              if (!parseUnknownField(
                  input, unknownFields, extensionRegistry, tag)) {
                done = true;
              }
              break;
            }
          }
        }
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(this);
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(
            e).setUnfinishedMessage(this);
      } finally {
        this.unknownFields = unknownFields.build();
        makeExtensionsImmutable();
      }
    }
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_GetTeacherRequest_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_GetTeacherRequest_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest.class, pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest.Builder.class);
    }

    public static final int STUDENT_ID_FIELD_NUMBER = 1;
    private int studentId_;
    /**
     * <code>int32 student_id = 1;</code>
     * @return The studentId.
     */
    public int getStudentId() {
      return studentId_;
    }

    private byte memoizedIsInitialized = -1;
    @java.lang.Override
    public final boolean isInitialized() {
      byte isInitialized = memoizedIsInitialized;
      if (isInitialized == 1) return true;
      if (isInitialized == 0) return false;

      memoizedIsInitialized = 1;
      return true;
    }

    @java.lang.Override
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      if (studentId_ != 0) {
        output.writeInt32(1, studentId_);
      }
      unknownFields.writeTo(output);
    }

    @java.lang.Override
    public int getSerializedSize() {
      int size = memoizedSize;
      if (size != -1) return size;

      size = 0;
      if (studentId_ != 0) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, studentId_);
      }
      size += unknownFields.getSerializedSize();
      memoizedSize = size;
      return size;
    }

    @java.lang.Override
    public boolean equals(final java.lang.Object obj) {
      if (obj == this) {
       return true;
      }
      if (!(obj instanceof pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest)) {
        return super.equals(obj);
      }
      pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest other = (pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest) obj;

      if (getStudentId()
          != other.getStudentId()) return false;
      if (!unknownFields.equals(other.unknownFields)) return false;
      return true;
    }

    @java.lang.Override
    public int hashCode() {
      if (memoizedHashCode != 0) {
        return memoizedHashCode;
      }
      int hash = 41;
      hash = (19 * hash) + getDescriptor().hashCode();
      hash = (37 * hash) + STUDENT_ID_FIELD_NUMBER;
      hash = (53 * hash) + getStudentId();
      hash = (29 * hash) + unknownFields.hashCode();
      memoizedHashCode = hash;
      return hash;
    }

    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseFrom(
        java.nio.ByteBuffer data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseFrom(
        java.nio.ByteBuffer data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return PARSER.parseFrom(data, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input);
    }
    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return com.google.protobuf.GeneratedMessageV3
          .parseWithIOException(PARSER, input, extensionRegistry);
    }

    @java.lang.Override
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder() {
      return DEFAULT_INSTANCE.toBuilder();
    }
    public static Builder newBuilder(pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest prototype) {
      return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
    }
    @java.lang.Override
    public Builder toBuilder() {
      return this == DEFAULT_INSTANCE
          ? new Builder() : new Builder().mergeFrom(this);
    }

    @java.lang.Override
    protected Builder newBuilderForType(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      Builder builder = new Builder(parent);
      return builder;
    }
    /**
     * Protobuf type {@code model.GetTeacherRequest}
     */
    public static final class Builder extends
        com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
        // @@protoc_insertion_point(builder_implements:model.GetTeacherRequest)
        pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequestOrBuilder {
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_GetTeacherRequest_descriptor;
      }

      @java.lang.Override
      protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_GetTeacherRequest_fieldAccessorTable
            .ensureFieldAccessorsInitialized(
                pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest.class, pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest.Builder.class);
      }

      // Construct using pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest.newBuilder()
      private Builder() {
        maybeForceBuilderInitialization();
      }

      private Builder(
          com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
        super(parent);
        maybeForceBuilderInitialization();
      }
      private void maybeForceBuilderInitialization() {
        if (com.google.protobuf.GeneratedMessageV3
                .alwaysUseFieldBuilders) {
        }
      }
      @java.lang.Override
      public Builder clear() {
        super.clear();
        studentId_ = 0;

        return this;
      }

      @java.lang.Override
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.internal_static_model_GetTeacherRequest_descriptor;
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest getDefaultInstanceForType() {
        return pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest.getDefaultInstance();
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest build() {
        pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest result = buildPartial();
        if (!result.isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return result;
      }

      @java.lang.Override
      public pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest buildPartial() {
        pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest result = new pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest(this);
        result.studentId_ = studentId_;
        onBuilt();
        return result;
      }

      @java.lang.Override
      public Builder clone() {
        return super.clone();
      }
      @java.lang.Override
      public Builder setField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.setField(field, value);
      }
      @java.lang.Override
      public Builder clearField(
          com.google.protobuf.Descriptors.FieldDescriptor field) {
        return super.clearField(field);
      }
      @java.lang.Override
      public Builder clearOneof(
          com.google.protobuf.Descriptors.OneofDescriptor oneof) {
        return super.clearOneof(oneof);
      }
      @java.lang.Override
      public Builder setRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          int index, java.lang.Object value) {
        return super.setRepeatedField(field, index, value);
      }
      @java.lang.Override
      public Builder addRepeatedField(
          com.google.protobuf.Descriptors.FieldDescriptor field,
          java.lang.Object value) {
        return super.addRepeatedField(field, value);
      }
      @java.lang.Override
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest) {
          return mergeFrom((pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }

      public Builder mergeFrom(pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest other) {
        if (other == pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest.getDefaultInstance()) return this;
        if (other.getStudentId() != 0) {
          setStudentId(other.getStudentId());
        }
        this.mergeUnknownFields(other.unknownFields);
        onChanged();
        return this;
      }

      @java.lang.Override
      public final boolean isInitialized() {
        return true;
      }

      @java.lang.Override
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest parsedMessage = null;
        try {
          parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
        } catch (com.google.protobuf.InvalidProtocolBufferException e) {
          parsedMessage = (pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest) e.getUnfinishedMessage();
          throw e.unwrapIOException();
        } finally {
          if (parsedMessage != null) {
            mergeFrom(parsedMessage);
          }
        }
        return this;
      }

      private int studentId_ ;
      /**
       * <code>int32 student_id = 1;</code>
       * @return The studentId.
       */
      public int getStudentId() {
        return studentId_;
      }
      /**
       * <code>int32 student_id = 1;</code>
       * @param value The studentId to set.
       * @return This builder for chaining.
       */
      public Builder setStudentId(int value) {
        
        studentId_ = value;
        onChanged();
        return this;
      }
      /**
       * <code>int32 student_id = 1;</code>
       * @return This builder for chaining.
       */
      public Builder clearStudentId() {
        
        studentId_ = 0;
        onChanged();
        return this;
      }
      @java.lang.Override
      public final Builder setUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.setUnknownFields(unknownFields);
      }

      @java.lang.Override
      public final Builder mergeUnknownFields(
          final com.google.protobuf.UnknownFieldSet unknownFields) {
        return super.mergeUnknownFields(unknownFields);
      }


      // @@protoc_insertion_point(builder_scope:model.GetTeacherRequest)
    }

    // @@protoc_insertion_point(class_scope:model.GetTeacherRequest)
    private static final pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest DEFAULT_INSTANCE;
    static {
      DEFAULT_INSTANCE = new pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest();
    }

    public static pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest getDefaultInstance() {
      return DEFAULT_INSTANCE;
    }

    private static final com.google.protobuf.Parser<GetTeacherRequest>
        PARSER = new com.google.protobuf.AbstractParser<GetTeacherRequest>() {
      @java.lang.Override
      public GetTeacherRequest parsePartialFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return new GetTeacherRequest(input, extensionRegistry);
      }
    };

    public static com.google.protobuf.Parser<GetTeacherRequest> parser() {
      return PARSER;
    }

    @java.lang.Override
    public com.google.protobuf.Parser<GetTeacherRequest> getParserForType() {
      return PARSER;
    }

    @java.lang.Override
    public pl.piomin.services.grpc.account.model.TeacherPorto.GetTeacherRequest getDefaultInstanceForType() {
      return DEFAULT_INSTANCE;
    }

  }

  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_model_Teachers_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_model_Teachers_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_model_Teacher_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_model_Teacher_fieldAccessorTable;
  private static final com.google.protobuf.Descriptors.Descriptor
    internal_static_model_GetTeacherRequest_descriptor;
  private static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_model_GetTeacherRequest_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\rteacher.proto\022\005model\032\033google/protobuf/" +
      "empty.proto\032\036google/protobuf/wrappers.pr" +
      "oto\"+\n\010Teachers\022\037\n\007teacher\030\001 \003(\0132\016.model" +
      ".Teacher\"H\n\007Teacher\022\n\n\002id\030\001 \001(\005\022\017\n\007addre" +
      "ss\030\002 \001(\t\022\022\n\nstudent_id\030\003 \001(\005\022\014\n\004name\030\004 \001" +
      "(\t\"\'\n\021GetTeacherRequest\022\022\n\nstudent_id\030\001 " +
      "\001(\0052\301\001\n\017TeachersService\0224\n\007FindAll\022\026.goo" +
      "gle.protobuf.Empty\032\017.model.Teachers\"\000\022/\n" +
      "\013saveTeacher\022\016.model.Teacher\032\016.model.Tea" +
      "cher\"\000\022G\n\030getAllTeacherByStudentId\022\030.mod" +
      "el.GetTeacherRequest\032\017.model.Teachers\"\000B" +
      "5\n%pl.piomin.services.grpc.account.model" +
      "B\014TeacherPortob\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          com.google.protobuf.EmptyProto.getDescriptor(),
          com.google.protobuf.WrappersProto.getDescriptor(),
        });
    internal_static_model_Teachers_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_model_Teachers_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_model_Teachers_descriptor,
        new java.lang.String[] { "Teacher", });
    internal_static_model_Teacher_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_model_Teacher_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_model_Teacher_descriptor,
        new java.lang.String[] { "Id", "Address", "StudentId", "Name", });
    internal_static_model_GetTeacherRequest_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_model_GetTeacherRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_model_GetTeacherRequest_descriptor,
        new java.lang.String[] { "StudentId", });
    com.google.protobuf.EmptyProto.getDescriptor();
    com.google.protobuf.WrappersProto.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
